Issue after upgrading to Ubuntu 15.10

Today, I upgrade my Ubuntu installation to version 15.10 (Wily Werewolf), by fresh installing from ISO.

Wily Wererwolf

Some good things:

  • System Log application is no longer crash. It was useless in Ubuntu 15.04

  • Gedit launches fast. It was so slow in Ubuntu 15.04 that I had to use Geany as replacement, given that Geany even has more feature than Gedit.

  • Ubuntu can monitor your mouse battery and notify you want the battery is almost run out.

Mouse battery

However, I also encounter some issues:

  • Python3 cannot import modules which I installed via pip3 install. It turns out that Ubuntu packager make Python 3.4 as default for python3, but make Python 3.5 as default for pip3(!). As a consequence, every modules installed via pip3 go to Python 3.5 management and Python 3.4 (launched via python3 command) cannot see them. Solution is to make python3 point to python3.5, by this command:
sudo update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.5 10

Another way is to make pip3 use Python 3.4. But I don't try this. I prefer newer Python.

  • Cannot install Virtualbox downloaded from virtualbox.org, due to missing of libvpx1. This is because Ubuntu 15.10 relaces it with libvpx2. Fortunately, we can install libvpx1 by ourselves, downloading from here: https://answers.launchpad.net/ubuntu/wily/amd64/libvpx1/1.3.0-3ubuntu1

  • Cannot assign shorcut key for Open in Terminal command in Nautilus. I haven't found solution yet. Update (Oct 28th): It works now (may be need to restart).

Nautilus

  • Ubuntu change the name of wireless network interface, from wlan to wlo, and it breaks Conky network monitor. Solution is to replace all wlan0 in conkyrc file with wlo1.

  • hplip driver for HP Laser Jet printer doesn't work, due to confuse of Python 3.4 - 3.5 and *.so files not detected. How to fix:

    • Change the shebang line in the beginning of hp-* scripts in /usr/bin/, from #!/usr/bin/python3 to #!/usr/bin/python3.4, if you made Python 3.5 default for python3. Note that don't replace multiple files at once with sed. I tried and it somehow made the scripts not able to import some hplip -specific Python modules from /usr/share/hplip/.
    • Go to /usr/lib/python3/dist-packages/, create files cupsext.so and hpmudext.so, which are actually symlinks to cupsext.cpython-34m-x86_64-linux-gnu.so and hpmudext.cpython-34m-x86_64-linux-gnu.so
sudo ln -s cupsext.cpython-34m-x86_64-linux-gnu.so cupsext.so
Website này sử dụng Disqus cho comment. Nếu bạn không thấy các comment dưới đây, có lẽ Disqus đang bị chặn. Bạn cần đổi DNS.
comments powered by Disqus